# Scroll

Making a text editor in Typescript based on Kilo (Script + Kilo = Scroll). This
runs on

- [Bun](https://bun.sh/) (v1.0 or later)
- [Deno](https://deno.com/) (v1.37 or later)
- [TSX](https://tsx.is/) - this is a Typescript wrapper using NodeJS (v20 or
  later)

To simplify running, I'm using [Just](https://github.com/casey/just).

- Bun: `just bun-run [filename]`
- Deno: `just deno-run [filename]`
- TSX: `just tsx-run [filename]`

Alternatively, there are shell scripts for each runtime in the `bin` folder. So
you can run the editor by calling `./bin/deno.sh [filename]` without installing
Just.

Deno is generally used for dev tools, but each runtime should be functionally
equivalent running the text editor.

## Development Notes

- Implementation is based on [Kilo](https://viewsourcecode.org/snaptoken/kilo/)
  and [Hecto](https://archive.flenker.blog/hecto/)
- Runtime differences are adapted into a common interface
- Runtime implementations are in the `src/deno`, `src/bun`, `src/tsx` folders
- The main implementation is in `src/common`
