/**
 * Adapt the bun test interface to the shared testing interface
 */
import { describe, test } from 'bun:test';
import AbstractTestBase from '../common/runtime/test_base.ts';
class BunTestBase extends AbstractTestBase {
	public static testSuite(testObj: any): void {
		Object.keys(testObj).forEach((group) => {
			describe(group, () => {
				const groupObj = testObj[group];
				Object.keys(groupObj).forEach((testName) => {
					test(testName, groupObj[testName]);
				});
			});
		});
	}
}

export default BunTestBase;
