import { Some } from '../option.ts';
import {
	AbstractFileType,
	defaultHighlightOptions,
	FileLang,
	HighlightingOptions,
} from './base.ts';

export class ShellFile extends AbstractFileType {
	public readonly name: FileLang = FileLang.Shell;
	public readonly singleLineComment = Some('#');
	public readonly keywords1 = [
		'case',
		'do',
		'done',
		'elif',
		'else',
		'esac',
		'fi',
		'for',
		'function',
		'if',
		'in',
		'select',
		'then',
		'time',
		'until',
		'while',
		'declare',
	];
	public readonly keywords2 = ['set'];
	public readonly operators = ['[[', ']]'];
	public readonly hlOptions: HighlightingOptions = {
		...defaultHighlightOptions,
		numbers: false,
	};
}
