import Ansi from './ansi.ts';

export enum HighlightType {
	None,
	Number,
	Match,
	String,
	SingleLineComment,
	MultiLineComment,
	Keyword1,
	Keyword2,
	Operator,
}

export function highlightToColor(type: HighlightType): string {
	switch (type) {
		case HighlightType.Number:
			return Ansi.color256(196);

		case HighlightType.Match:
			return Ansi.color256(21);

		case HighlightType.String:
			return Ansi.color256(45);

		case HighlightType.SingleLineComment:
			return Ansi.color256(201);

		case HighlightType.MultiLineComment:
			return Ansi.color256(240);

		case HighlightType.Keyword1:
			return Ansi.color256(226);

		case HighlightType.Keyword2:
			return Ansi.color256(118);

		case HighlightType.Operator:
			return Ansi.color256(215);

		default:
			return Ansi.ResetFormatting;
	}
}
